Bug 838621 - Review Request: perl-ServiceNow-API - ServiceNow API for accessing the Service-now platform
Review Request: perl-ServiceNow-API - ServiceNow API for accessing the Servic...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-09 11:48 EDT by Marek Mahut
Modified: 2013-01-02 12:55 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-16 08:02:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Marek Mahut 2012-07-09 11:48:24 EDT
Spec URL: http://mmahut.fedorapeople.org/reviews/perl-ServiceNow-API/perl-ServiceNow-API.spec
SRPM URL: http://mmahut.fedorapeople.org/reviews/perl-ServiceNow-API/perl-ServiceNow-API-1.01-1.el6.src.rpm
Rawhide build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4227457
EL6 build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4227461
Description: The Perl API provides a library of Perl classes and sub routines
for programmatic access to the platform and its applications.
The API utilizes the SOAP web service interface of the platform.
Fedora Account System Username: mmahut
Comment 1 Lubomir Rintel 2012-07-10 08:48:25 EDT
* Correctly named
* Packing latest version
* License is correctly specified and a free license
* SPEC file clean and legible

- Distribution link broken!
        CPAN one does not exist: http://search.cpan.org/dist/ServiceNow-API/
        Did you mean this? http://wiki.servicenow.com/index.php?title=Perl_API

- Unpacking fails, since the zifile contains a "__MACOSX/" toplevel directory:
        + /usr/bin/unzip -qq /home/lkundrak/rpmbuild/SOURCES/ServiceNow-Perl-API.zip
        replace __MACOSX/ServiceNow-1.01/._.DS_Store? [y]es, [n]o, [A]ll, [N]one, [r]ename:

        You may want to use the following %prep instead to add a level in hierarchy
        %setup -q -c -n %{name}-%{version}
        %setup -D -T -q -n %{name}-%{version}/ServiceNow-%{version}

- You're missing a BR for testing: BuildRequires: perl(Test::Pod::Coverage)

- POD tests fail if coverage test module is installed:
        t/pod-coverage.t .. 1/19
        #   Failed test 'Pod coverage on ServiceNow'
        #   at /usr/share/perl5/Test/Pod/Coverage.pm line 126.
        # Coverage for ServiceNow is 96.4%, with 1 naked subroutine:
        #       createNotification

- Empty %doc 
        You may want to include README, etc.

- Rebuild for 5.16 in changelog?
        You may want to remove that.
Comment 2 Marek Mahut 2012-07-10 09:09:36 EDT
Thank you for your comments. New SRPM http://mmahut.fedorapeople.org/reviews/perl-ServiceNow-API/perl-ServiceNow-API-1.01-2.el6.src.rpm
Comment 3 Lubomir Rintel 2012-07-10 09:17:11 EDT
Looks wonderful, Marek. This package is a pure act of beauty. Even builds cleanly in mock! May God bless you and your family!

http://koji.fedoraproject.org/koji/taskinfo?taskID=4230253
http://koji.fedoraproject.org/koji/taskinfo?taskID=4230247

This is happily APPROVED by me!
Comment 4 Marek Mahut 2012-07-10 09:24:41 EDT
Thank you Lubomir. 

New Package SCM Request
=======================
Package Name: perl-ServiceNow-API
Short Description: ServiceNow API for accessing the Service-now platform
Owners: mmahut
Branches: f16 f17 el6
Comment 5 Kevin Fenzi 2012-07-10 18:45:42 EDT
Git done (by process-git-requests).
Comment 6 Marek Mahut 2012-07-16 08:02:33 EDT
Thank you both.
Comment 7 Fedora Update System 2012-07-16 08:15:58 EDT
perl-ServiceNow-API-1.01-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-ServiceNow-API-1.01-2.fc17
Comment 8 Fedora Update System 2012-07-16 10:20:07 EDT
perl-ServiceNow-API-1.01-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-ServiceNow-API-1.01-2.fc16
Comment 9 Fedora Update System 2012-07-16 10:43:10 EDT
perl-ServiceNow-API-1.01-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-ServiceNow-API-1.01-2.el6
Comment 10 Fedora Update System 2012-07-26 18:22:44 EDT
perl-ServiceNow-API-1.01-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 11 Fedora Update System 2012-07-26 18:24:50 EDT
perl-ServiceNow-API-1.01-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 12 Fedora Update System 2012-12-27 15:03:55 EST
perl-ServiceNow-API-1.01-2.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 13 Petr Šabata 2013-01-02 05:18:15 EST
Package Change Request
======================
Package Name: perl-ServiceNow-API
Branches: f16 f17 f18 el6
Owners:
InitialCC: perl-sig

Please add perl-sig user with watch* permissions only to all Fedora branches.
Comment 14 Gwyn Ciesla 2013-01-02 07:40:28 EST
Misformatted request.
Comment 15 Petr Šabata 2013-01-02 12:55:02 EST
(In reply to comment #14)
> Misformatted request.

Could you be more specific, please?
Maybe I'm missing some obvious typo...

Note You need to log in before you can comment on or make changes to this bug.